#  Changelog

Tous les changements notables apportés à ce projet seront documentés dans ce fichier.

Le format est basé sur [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), et ce projet adhère à la gestion des versions sémantique.
## [5.0.1] - 08/12/2022
-  Ajout icon dans les boutons
-  Correction input
-  Correction dropdown-typeform
-  Correction dropdown
-  Prise en compte de la modification left en start et right en end
-  Ajout des composants side-panel et tabs3

## [3.4.2] - 17/04/2023
-  ds-input and ds-textarea: corriger la couleur verte du placeholder quand le champ est valide.

## [3.4.1] - 08/12/2022
-  ds-dropdown: afficher le label en position haute quand une valeur est sélectionnée (comme dans ds-input).

## [3.3.7] - 03/10/2022
-  ds-dropdown & ds-input: corriger les styles pour s'aligner sur le design system.

## [3.3.6] - 22/09/2022
-  ds-dropdown & ds-input: déplacer les styles dans `ds-bootstrap`.

## [3.3.5] - 12/09/2022
- .ds-card: ferrer les cards à gauche.

## [3.3.4] - 2/08/2022
- Ajout de CSS margin pour les classes .ds-input-form et .ds-textarea-form

## [3.3.3] - 10/08/2022
- Fix input:valid state

## [3.3.2] - 10/08/2022
- Fix ds-message close icon position

## [3.3.1] - 10/08/2022
- Améliorations ds-input et ds-textarea (ils peuvent switcher en mode typeform, acceptent l'option readonly)
- ds-input peut afficher une datalist pour l'autocomplétion

## [3.3.0] - 02/06/2022
- Ajout du DsSidePanel
- Ajout bouton rond

## [3.2.1] - 31/05/2022
- Correction bug de selection sur le ds-select-grid

## [3.2.0] - 24/05/2022
- Rajout du dropdown typeform dans le ds-bootstrap

## [3.1.1] - 10/05/2022 
- Correction sur le champ recherche
- Correction hover bouton orange

## [3.1.0] - 04/05/2022
- Ajout de la goutte

## [3.0.0] - 01/03/2022
- Ajout de couleurs dégradées
- Ajout du composant dropdown
- Ajout du composant footer
- Ajout du composant input-form
- Ajout du composant textarea-form
- Ajout du composant link-card
- Corrections

## [2.8.0] - 20/12/2021
- Ajout des logos partenaires et produits
- Correction de l'erreur sur les divisions "/" avec math.div
- Modification du design du popover

## [2.7.7] - 02/09/2021
- Correction border bouton secondaire noir
- Changement couleur toggle pour accessibilité
## [2.7.6] - 18/08/2021
- Application d'une taille de police (14px) au popover
- Fix sur la couleur de la flèche popover lorsqu'affiché sur le bord gauche
## [2.7.5] - 28/07/2021
- MAJ Couleurs AAA + Ajout de couleurs pour l'accessibilité + intervertir couleurs
## [2.7.4] - 21/07/2021
- Ajout d'icones (5 nouvelles icônes optiques)
## [2.7.3] - 30/06/2021
- Revert suppression !important sur les couleurs ds-b

## [2.7.2] - 17/06/2021
- Revert "Correction bug input (MHFF-69)" amenant des problèmes sur les inputs

## [2.7.1] - 17/06/2021
- Suppression du support ds-icon pour les vieux navigateurs (IE6-IE8 et Safari Legacy)

## [2.7.0] - 16/06/2021
- Ajout de nouvelles icones : Simulateur RAC/APP (MHFF-103)
- Correction sur le grid système qui ne fonctionnait plus. 
- Mise à jour des couleurs accessibilités (MHFF-89)
- Ajout forme Jean Moreau / Header-title (MHFF-58)
- Ajout DsLinkCard (MHFF-105)
- Ajout contribution STEP (tooltip, popover, input, and more)
- Correction bug input (MHFF-69)

## [2.6.0] 
- Passage des breakpoints en REM au lieu de px
## [2.5.0]
- Ajout de la checkbox intermediaire

## [2.4.0]
- Formes / Radius : ajout de 2 radius (8 et 16px)
- Styles de textes : Ajout de la variante colorimétrique Corail dark
- MAJ icones = Bug illustrations + loader

## [2.3.0]
- Ajout de nouvelles icones : Powerpoint, Excel, Photo, Upload, etc... (MHFF-70)
- fix(Input) correction des marges des inputs


## [2.2.0] - 2020-06-10
### Added
- Ajout spacer de 8px
- Ajout du Loader MH
- Ajout des tableaux
- Accesibilité : Revue de code ( Merci Justin MARSAN )
- Typo & Responsive
- Correction sur les liens chevron
- Correction InputForm
- Correction Bouton secondaire noir


## [2.1.0] - 2020-03-10
### Added
- Le corps des textes est maintenant défini en REM
- alerte_bleu_information_color utilise la bonne couleur

## [2.1.0] - 2020-03-10
### Added
- Le corps des textes est maintenant défini en EM
- Correction des liens "chevron"

## [2.0.0] - 2020-03-05
### Added
- Le contour des boutons noirs devient gris_dark
- La pagination est intégrée
- Ajout de nouvelles icônes
- Le favicon est mis à disposition
- Ajout de 4 couleurs "interface"
- Les inputs désactivés sont maintenant compatibles avec IE
- Les boutons désactivés utilisent un cursor à default
- Ajout de la grille au DS Bootstrap
- Ajout du Logo Diagnostic Capital Humain sur fond clair
- Ajout du Logo Solutions PME sur fond clair
- Ajour du Logo Malakoff le Comptoir sur fond clair
- La balise b est ds-bold applique une seul foi le gras sur Firefox 

## [1.1.1] - 2019-11-14
### Added
- Correction du CHANGELOG 1.1.0

## [1.1.0] - 2019-11-14
### Added
- Forme brand
- Prise en charge de la balise bold ( b )
- H2 prend désormais la bonne taille

## [1.0.0] - 2019-10-31
### Added
- Changement du nom du projet et des composent de mh* à ds*
- Input
- Textarea
- Logos produits
- Checkbox 
- Refonte de la documentation 

## [0.3.1] - 2019-10-24
### Added
- fix linter issues

## [0.3.0] - 2019-10-24
### Added
- Couleurs neutres
- Elevations
- Formes
- Contours Filets
- Icônes MH
- Illustrations MH
- Liens MH
- Règles typographiques interfaces
- Styles de texte: Couleur
- Styles de texte: Alignements
- Typographie MH
- Couleur BG overlay
- Boutons primaires MH
- Boutons secondaires MH
- Logo MH
- Compémentarité des couleurs MH

## [0.2.0] - 2019-10-14
### Added
- Couleurs Interfaces
- Couleurs Neutres
- Couleurs Secondaires

## [0.1.2] - 2019-10-04
### Added
- Ajout des tests unitaires.
- Ajout des tests de qualité de code
- Minification du CSS

## [0.1.1] - 2019-10-04
### Added
- Restructuration de l'architecture scss

## [0.1.0] - 2019-10-01
### Added
- Ce fichier CHANGELOG
- Jenkinsfile - configuration de deploiement
- Readme - procedure d'utilisation
- Structure du projet
- Couleurs Primaires

[Unreleased]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/
[2.2.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v2.1.1
[2.1.1]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v2.1.1
[2.1.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v2.1.0
[2.0.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v2.0.0
[1.1.1]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v1.1.1
[1.1.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v1.1.0
[1.0.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v1.0.0
[0.3.1]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v0.3.1
[0.3.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/0.3.0
[0.2.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v0.2.0
[0.1.2]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v0.1.2
[0.1.1]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v0.1.1
[0.1.0]: https://bitbucket.org/si2m/lib_cs_ds-bootstrap/commits/tag/v0.1.0
